| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DurabilityServiceQosPolicy Class Reference

Specifies the configuration of the durability service. More...

`#include <QosPolicies.hpp>`

Inheritance diagram for DurabilityServiceQosPolicy:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | DurabilityServiceQosPolicy ()
| Constructor.
virtual FASTDDS_EXPORTED_API | ~DurabilityServiceQosPolicy ()=default
| Destructor.
bool | operator== (const DurabilityServiceQosPolicy &b) const
void | clear () override
| Clears the QosPolicy object.
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const
Public Member Functions inherited from QosPolicy
| QosPolicy ()
| Constructor without parameters.
| QosPolicy (bool send_always)
| Constructor.
| QosPolicy (const QosPolicy &b)=default
| Copy Constructor.
virtual | ~QosPolicy ()=default
| Destructor.
bool | operator== (const QosPolicy &b) const
QosPolicy & | operator= (const QosPolicy &b)=default
virtual bool | send_always () const
| Whether it should always be sent.

## Public Attributes

fastdds::dds::Duration_t | service_cleanup_delay
| Control when the service is able to remove all information regarding a data-instance.
HistoryQosPolicyKind | history_kind
| Controls the HistoryQosPolicy of the fictitious DataReader that stores the data within the durability service.
int32_t | history_depth
| Number of most recent values that should be maintained on the History.
int32_t | max_samples
| Control the ResourceLimitsQos of the implied DataReader that stores the data within the durability service.
int32_t | max_instances
| Control the ResourceLimitsQos of the implied DataReader that stores the data within the durability service.
int32_t | max_samples_per_instance
| Control the ResourceLimitsQos of the implied DataReader that stores the data within the durability service.
Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.
Public Attributes inherited from QosPolicy
bool | hasChanged
| Boolean that indicates if the Qos has been changed with respect to the default Qos.

## Additional Inherited Members

Protected Attributes inherited from QosPolicy
bool | send_always_
| Boolean that indicates if the Qos has to be sent even if it is not changed.

## Detailed Description

Specifies the configuration of the durability service.

That is, the service that implements the DurabilityQosPolicy kind of TRANSIENT and PERSISTENT.

Warning
  This QosPolicy can be defined and is transmitted to the rest of the network but is not implemented in this version.

Note
  Immutable Qos Policy

## Constructor & Destructor Documentation

## ◆ DurabilityServiceQosPolicy()

FASTDDS_EXPORTED_API DurabilityServiceQosPolicy | ( |  | ) |

inline

Constructor.

## ◆ ~DurabilityServiceQosPolicy()

virtual FASTDDS_EXPORTED_API ~DurabilityServiceQosPolicy | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline override virtual

Clears the QosPolicy object.

Implements QosPolicy.

## ◆ operator==()

bool operator== | ( | const DurabilityServiceQosPolicy & | b | ) | const

inline

## Member Data Documentation

## ◆ history_depth

int32_t history_depth

Number of most recent values that should be maintained on the History.

It only have effect if the history_kind is KEEP_LAST_HISTORY_QOS.
By default, 1.

## ◆ history_kind

HistoryQosPolicyKind history_kind

Controls the HistoryQosPolicy of the fictitious DataReader that stores the data within the durability service.

By default, KEEP_LAST_HISTORY_QOS.

## ◆ max_instances

int32_t max_instances

Control the ResourceLimitsQos of the implied DataReader that stores the data within the durability service.

Represents the maximum number of instances DataWriter (or DataReader) can manage.
By default, LENGTH_UNLIMITED.

## ◆ max_samples

int32_t max_samples

Control the ResourceLimitsQos of the implied DataReader that stores the data within the durability service.

Specifies the maximum number of data-samples the DataWriter (or DataReader) can manage across all the instances associated with it. Represents the maximum samples the middleware can store for any one DataWriter (or DataReader). It is inconsistent for this value to be less than max_samples_per_instance.
By default, LENGTH_UNLIMITED.

## ◆ max_samples_per_instance

int32_t max_samples_per_instance

Control the ResourceLimitsQos of the implied DataReader that stores the data within the durability service.

Represents the maximum number of samples of any one instance a DataWriter(or DataReader) can manage. It is inconsistent for this value to be greater than max_samples.
By default, LENGTH_UNLIMITED.

## ◆ service_cleanup_delay

fastdds::dds::Duration_t service_cleanup_delay

Control when the service is able to remove all information regarding a data-instance.

By default, dds::c_TimeZero.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp